Bug 197641 - Review Request: ode - High performance library for simulating rigid body dynamics
Summary: Review Request: ode - High performance library for simulating rigid body dyna...
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Hugo Cisneiros
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT 197734
TreeView+ depends on / blocked
 
Reported: 2006-07-05 07:28 UTC by Hans de Goede
Modified: 2011-07-14 23:34 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-06 07:02:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Hans de Goede 2006-07-05 07:28:19 UTC
Spec URL: http://people.atrpms.net/~hdegoede/ode.spec
SRPM URL: http://people.atrpms.net/~hdegoede/ode-0.6-2.src.rpm
Description:
ODE is an open source, high performance library for simulating rigid body
dynamics. It is fully featured, stable, mature and platform independent with
an easy to use C/C++ API. It has advanced joint types and integrated collision
detection with friction. ODE is useful for simulating vehicles, objects in
virtual reality environments and virtual creatures. It is currently used in
many computer games, 3D authoring tools and simulation tools.

rpmlint output:
W: ode-devel no-documentation

Comment 1 Hans de Goede 2006-07-05 07:31:42 UTC
Hugo,

I've submitted this for review as I'll be the primary maintainer as discussed
per mail. Can you review this?

Others,

Notice that ode contains and will use a private copy of the Opcode collision
detect library. This has been "discussed" on f-e-l, that is I posted my
intention to package ode with this private copy an rational for it and nobody
objected (actually no body replied).


Comment 2 Hugo Cisneiros 2006-07-05 17:06:25 UTC
I can't connect to people.atrpms.net, the host is unreachable (I can't ping or 
connect to port 80). Is it a problem only with me? (I'll try sometime later 
too). Once I get the SRPM I'll begin doing the review.

To the others about the opcode collision detection lib, here is the thread:
https://www.redhat.com/archives/fedora-extras-list/2006-June/msg01139.html

Comment 3 Hans de Goede 2006-07-05 17:13:55 UTC
You are right people.atrpms.net seems to be unreachable atm.

I didn't make any significant changes, so if you want to start packaging ode
using programs you can use my last version. For the review, I hope
people.atrpms.net will be back up soon.


Comment 4 Hugo Cisneiros 2006-07-05 20:07:18 UTC
I've got the SRPM and now I'll do the review.

MUST OK:

 * rpmlint returns ok for the ode package. The source does not contain 
documentation for development files, so rpmlint's warning about 
no-documentation on ode-devel should be fine.
 * Package is named according to Packaging Guidelines (following upstream's 
name too)
 * Spec file name matches the base package
 * Package meets Packaging Guidelines
 * Package is legal and licensed under BSD and LGPL, the license field on spec 
matches the source license.
 * License files within the source tarball are packaged as %%doc files.
 * Spec file is in American English and legible :)
 * Source package matches the upstream tarball:
   7afdb1d434a1e2cc2d701fdf8d1f2fad  ode-src-0.6.zip
 * Package builds fine
 * All BR listed fine, no unusued BR listed.
 * Package does not need locale files.
 * The package contains shared libraries and have ldconfig run in %%post 
and %%postun.
 * Package owns all directory it creates, does not own other packages' 
directories.
 * No duplicate files in %%files
 * Permission on packaged files are fine
 * The %%clean section on the spec file is right
 * Spec file uses macros consistently
 * No large documentation files in the package, no need for -doc subpackage.
 * %%doc files does not affect package runtime.
 * Development files are under the -devel subpackage.
 * No pkgconfig files.
 * Devel package requires the base package using a fully versioned dependency
 * No .la files in the packages.
 * No GUI application under the package.

SHOULD OK:

 * No scriptlets use
 * Package build and works fine for i386 and x86_64

I don't see any blockers on this.

APPROVED

Comment 5 Hans de Goede 2006-07-06 07:02:53 UTC
Imported and build.

Comment 6 Hans de Goede 2010-04-08 15:28:41 UTC
Jochen Schmitt, would like to maintain an EPEL branch of this, and that is fine by me (the Fedora owner):

Package Change Request
======================
Package Name: ode
New Branches: EL-5
Owners: jwrdegoede s4504kr

Thanks,

Hans

Comment 7 Kevin Fenzi 2010-04-09 04:46:47 UTC
cvs done.

Comment 8 Hans de Goede 2011-07-14 08:30:06 UTC
Package Change Request
======================
Package Name: ode
New Branches: el6
Owners: s4504kr

Jochen Schmitt, who already maintains the el5 branch for ode would also like to maintain an el6 branch of ode, and that is fine by me (the Fedora owner).

Comment 9 Gwyn Ciesla 2011-07-14 23:34:40 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.